<?php
include 'inclydings/gzips.php';
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
Error_Reporting (ERROR | WARNING);
include_once("inclydings/zag.php");
include 'inclydings/ini.php';
include 'inclydings/sesi.php';
$admin=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='LegWar' LIMIT 1");
if(mysql_num_rows($admin)==1){


switch($_GET[mod]){

default:

$req = mysql_query("SELECT * FROM `rega`");  $avto=mysql_num_rows($req);  if($avto==1){  $clan = mysql_fetch_array($req);
}


echo"Здраствуйте уважаемый администратор <font color=\"lime\"> $log.GM</font><hr>";
echo"<b>Управление игрой:</b><br>";
echo"1. <a href=\"adminsik.php?$sd&mod=1\">Написать новости</a><br/>";
echo"2. <a href=\"adminsik.php?$sd&mod=2\">Добавить монстра</a><br/>";
echo"3. <a href=\"adminsik.php?$sd&mod=3\">Добавить ресурс</a><br/>";
echo"4. <a href=\"adminsik.php?$sd&mod=4\">Добавить элексир</a><br/>";
echo"5. <a href=\"adminsik.php?$sd&mod=5\">Добавить окрестность</a><br/><br/>";
echo"---<br/>";
echo"6. <a href=\"adminsik.php?$sd&mod=6\">Редактирование шмота</a> (Магазин)</a><br/>";
echo"7. <a href=\"adminsik.php?$sd&mod=9\">Редактирование вещей</a></a><br/>";
echo"8. <a href=\"adminsik.php?$sd&mod=13\">Редактирование монстров</a><br/>";
echo"9. <a href=\"adminsik.php?$sd&mod=16\">Редактирование окрестностей</a><br/><br/>";
echo"---<br/>";

if($clan[rega]==0){
echo"10. <a href=\"adminsik.php?$sd&mod=rednot\">Закрыть регистрацию</a><br/>";
}else{

echo"10. <a href=\"adminsik.php?$sd&mod=redyes\">Открыть регистрацию</a><br/>";
}
if($clan[chat]==0){
echo"11. <a href=\"adminsik.php?$sd&mod=redchat\">Закрыть доступ к чату</a><br/>";
}else{

echo"11. <a href=\"adminsik.php?$sd&mod=redchats\">Открыть доступ к чату</a><br/>";
}
echo"12. <a href=\"adminsik.php?$sd&mod=20\">Профиль персонажа</a></a><br/>";
echo"13. <a href=\"adminsik.php?$sd&mod=top\">Участники олимпиады</a> (Медали)<br/>";
echo"14. <a href=\"adminsik.php?$sd&mod=tops\">Участники Турнира</a> (Древние адены)<br/>";
echo"15. <a href=\"adminsik.php?$sd&mod=fish\">Участники чемпионата</a> (Рыбалки)<br/><br/>";
echo"---<br/>";

echo"16. <a href=\"adminsik.php?$sd&mod=23\">Дать блок</a><br/>";
echo"17. <a href=\"adminsik.php?$sd&mod=21\">Список заблокированых</a><br/>";
echo"18. <a href=\"adminsik.php?$sd&mod=22\">Заблокировать персонажа</a><br/>";


break;
case '23':
if(empty($_POST[nick])){
echo '<form action="adminsik.php?'.$sd.'&mod=23" method="post">';
echo"Ник:<br/>
<input class='input' type=\"text\" size=\"10\" value=\"$_GET[usr]\" name=\"nick\"/><br/>";

echo"Причина:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"text\"/><br/>";

echo"Время бана:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"time\"/><br/>";

echo "Тип времени:<br/>
<select name=\"times\">
<option value=\"sec\">Секунд</option>
<option value=\"min\">Минут</option>
<option value=\"cha\">Часов</option>
</select><br/>";

echo '<input class="button" type="submit" value="Заблокировать" /></form>';
}else{

$req = mysql_query("SELECT * FROM `ban` where `usr`='".mysql_real_escape_string($_POST['nick'])."'");
$avto=mysql_num_rows($req);
if($avto==1){echo"Игрок уже в блоке!";include($path.'programfiles/downmain.php');exit;}

if($_POST[times]==sec){$_POST[time]=$_POST[time];}
if($_POST[times]==min){$_POST[time]=$_POST[time]*60;}
if($_POST[times]==cha){$_POST[time]=$_POST[time]*3600;}

$time_ban=time()+$_POST[time];
mysql_query("INSERT INTO
        `ban` SET
        `usr` = '$_POST[nick]',
        `text` = '$_POST[text]',
        `ban_time` = '$time_ban'");

         $time = date("H:i d.m.y");
mysql_query("INSERT INTO `table_komentarai` SET `nick` = '$log', `komentaras` = 'Персонаж: ".mysql_real_escape_string($_POST[nick])." заблокирован! Причина: ".mysql_real_escape_string($_POST[text])."!', `time` = '$time'");

echo'Персонаж '.$_POST[nick].' заблокирован!<br/>';

echo "<br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}




break;
case '22':
if(empty($_POST[nick])){
echo '<form action="adminsik.php?'.$sd.'&mod=23" method="post">';
echo"Ник:<br/>
<input class='input' type=\"text\" size=\"10\" value=\"$_GET[usr]\" name=\"nick\"/><br/>";

echo"Причина:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"text\"/><br/>";

echo"Время бана:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"time\"/><br/>";

echo "Тип времени:<br/>
<select name=\"times\">
<option value=\"sec\">Секунд</option>
<option value=\"min\">Минут</option>
<option value=\"cha\">Часов</option>
</select><br/>";

echo '<input class="button" type="submit" value="Заблокировать" /></form>';
}else{
$req = mysql_query("SELECT * FROM `users` where `usr`='".mysql_real_escape_string($_POST['nick'])."'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Нет такого игрока!";include($path.'programfiles/downmain.php');exit;}

$req = mysql_query("SELECT * FROM `ban` where `usr`='".mysql_real_escape_string($_POST['nick'])."'");
$avto=mysql_num_rows($req);
if($avto==1){echo"Игрок уже в блоке!";include($path.'programfiles/downmain.php');exit;}

if($_POST[times]==sec){$_POST[time]=$_POST[time];}
if($_POST[times]==min){$_POST[time]=$_POST[time]*60;}
if($_POST[times]==cha){$_POST[time]=$_POST[time]*3600;}

$time_ban=time()+$_POST[time];
mysql_query("INSERT INTO
        `ban` SET
        `usr` = '$_POST[nick]',
        `text` = '$_POST[text]',
        `ban_time` = '$time_ban'");

         $time = date("H:i d.m.y");
mysql_query("INSERT INTO `komentarai` SET `nick` = '$log', `komentaras` = 'Персонаж: ".mysql_real_escape_string($_POST[nick])." заблокирован! Причина: ".mysql_real_escape_string($_POST[text])."!', `time` = '$time'");

echo'Персонаж '.$_POST[nick].' заблокирован!<br/>';

echo "<br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}



break;

case 'redchats':
mysql_query("UPDATE `rega` SET `chat` = '0' ");
echo"Чат успешно открыт!<br/>";
echo "<br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";

break;

case 'redchat':
mysql_query("UPDATE `rega` SET `chat` = '1' ");
echo"Чат успешно закрыт!<br/>";
echo "<br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";


break;

case '21':
$time=time();
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0") 
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 10;
if($_GET[page] == "0")
{$i = 1;}
else{$i = ($_GET[page]*10)+1;}
$viso = mysql_num_rows(mysql_query("SELECT usr FROM  ban"));
$puslap = floor($viso/10);
$times = date("H:i");

$req = mysql_query("SELECT * FROM `ban` WHERE `ban_time`>'$time' ORDER BY id DESC LIMIT $num,10");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{



echo"<a href=\"inf_serh.php?nick=$mag[usr]&go=go\">$mag[usr]</a> - <a href=\"adminsik.php?mod=snyat&amp;id=$mag[id]\">Разблокировать</a> <br/>Причина: $mag[text]<br/>";
}
echo "<br>";
if ($_GET[page] > 0)
{
echo "<a href=\"adminsik.php?page=$back\">назад</a>";
}
elseif ($_GET[page] == 0)
{
echo "назад";
}
echo"|";
if($_GET[page] < $puslap || $_GET[page] == "" || $_GET[page] == 0)
{echo "<a href=\"adminsik.php?page=$next\">дальше</a>";}
else
{echo "дальше";}


}else{
echo"Нет заблокированных!<br/>";
}

break;
case 'snyat':
if(empty($_GET[id])){
echo"Ошибка невыбран игрок!";
include($path.'programfiles/downmain.php');exit;}

$req = mysql_query("SELECT * FROM `ban` where `id`='".mysql_real_escape_string($_GET['id'])."'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";
include($path.'programfiles/downmain.php');exit;}

mysql_query("DELETE FROM `ban` WHERE `id`='".mysql_real_escape_string($_GET['id'])."'");
echo'Разблокирован!<br/>';
echo "<br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";




break;

case 'redyes':
mysql_query("UPDATE `rega` SET `rega` = '0' ");
echo"Регистрация успешно открыта!<br/>";
echo "<br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";

break;

case 'rednot':
mysql_query("UPDATE `rega` SET `rega` = '1' ");
echo"Регистрация успешно закрыта!<br/>";
echo "<br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
break;

case 'fish':


$file=@file("bases/olimpiada.dat");
$total=count($file);
if(@file("bases/olimpiada.dat")){
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);


$data_log[]=$data[0];
$data_kol[]=$data[1];
}

arsort($data_kol);

foreach($data_kol as $k=>$v)
{


$data_screen[]=' <a href=\'inf_serh.php?nick='.$data_log[$k].'&amp;go=go\'>'.$data_log[$k].' </a>Рыб: '.$data_kol[$k].' <br/>';

}

if($total<"10"){
$list=$total;}else{$list="10";}

for ($i = 0; $i < $list; $i++){
$i2=$i+1;
echo "$i2. $data_screen[$i]";
}

echo"<hr>Всего участников: $total";

echo "<br><br>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}else{echo"Участников нет";

echo "<br/><br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";

}




break;

case 'tops':


$file=@file("bases/olimpiada_Thons.dat");
$total=count($file);
if(@file("bases/olimpiada_Thons.dat")){
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);


$data_log[]=$data[0];
$data_kol[]=$data[1];
}

arsort($data_kol);

foreach($data_kol as $k=>$v)
{


$data_screen[]=' <a href=\'inf_serh.php?nick='.$data_log[$k].'&amp;go=go\'>'.$data_log[$k].' </a>Thons: '.$data_kol[$k].' <br/>';

}

if($total<"10"){
$list=$total;}else{$list="10";}

for ($i = 0; $i < $list; $i++){
$i2=$i+1;
echo "$i2. $data_screen[$i]";
}

echo"<hr>Всего участников: $total";

echo "<br><br>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}else{echo"Участников нет";

echo "<br/><br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";

}



break;

case 'top':


$file=@file("bases/olimpiada_medal.dat");
$total=count($file);
if(@file("bases/olimpiada_medal.dat")){
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);


$data_log[]=$data[0];
$data_kol[]=$data[1];
}

arsort($data_kol);

foreach($data_kol as $k=>$v)
{


$data_screen[]=' <a href=\'inf_serh.php?nick='.$data_log[$k].'&amp;go=go\'>'.$data_log[$k].' </a>Медалей: '.$data_kol[$k].' <br/>';

}

if($total<"10"){
$list=$total;}else{$list="10";}

for ($i = 0; $i < $list; $i++){
$i2=$i+1;
echo "$i2. $data_screen[$i]";
}

echo"<hr>Всего участников: $total";

echo "<br><br>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}else{echo"Участников нет";

echo "<br/><br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";

}




break;
case '20':
echo "<form action=\"adminsik.php?mod=pr\" method=\"post\">Введите ник:<br/>";
echo "<input name=\"nick\" maxlength=\"15\" title=\"nick\" emptyok=\"true\"/><br/>";
echo "<input type=\"submit\" value=\"Смотреть\" /></form>";

break;

case 'pr':
if(empty($_POST[nick])){
$nick=$_GET[nick];
}else{
$nick=$_POST[nick];}
$nick = htmlspecialchars(stripslashes($nick));


$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$nick'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого игрока!';
include($path.'programfiles/downmain.php');
exit;
}


if(empty($_POST[name])){

echo "<form action=\"adminsik.php?mod=prs\" method=\"post\">";
$item = mysql_fetch_array($req);
echo "Введите ник повторно: $item[usr] - Проверка на бота!<br/>";
echo '<input name="komu"/><br/>';


echo"Cекретное слово:<br/>
<input class='input' type=\"text\" value=\"$item[kods]\" size=\"15\" name=\"kods\"/><br/>";

echo"Ip:<br/>
<input class='input' type=\"text\" value=\"$item[ip]\" size=\"15\" name=\"ip\"/><br/>";

echo"Пол:<br/>
<select name=\"pol\">
<option value=\"m\">Парень</option>
<option value=\"w\">Девушка</option>
</select><br/>";

echo"Права доступа:<br/>
<select name=\"prava\">
<option value=\"5\">Cоздатель проэкта</option>
<option value=\"4\">Администратор</option>
<option value=\"2\">Модератор</option>
</select><br/>";

echo"Расса:<br/>
<select name=\"rassa\">
<option value=\"human\">Человек</option>
<option value=\"gnom\">Гном</option>
<option value=\"elf\">Светлый эльф</option>
<option value=\"darkelf\">Темный эльф</option>
<option value=\"ork\">Орк</option>
</select><br/>";

echo"Уровень:<br/>
<input class='input' type=\"text\" value=\"$item[lvl]\" size=\"15\" name=\"lvl\"/><br/>";

echo"Аден:<br/>
<input class='input' type=\"text\" value=\"$item[money]\" size=\"15\" name=\"money\"/><br/>";

echo"Сoin of Luck:<br/>
<input class='input' type=\"text\" value=\"$item[Coin]\" size=\"15\" name=\"Coin\"/><br/>";


echo"Класс:<br/>
<select name=\"klas\">
<option  value=\"wizard\">Маг</option>
<option value=\"fighert\">Воин</option>

</select><br/>";

echo '<input class="button" type="submit" value="Изменить" /></form>';
echo "<br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}

break;
case 'prs':

$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '".mysql_real_escape_string($_POST['komu'])."'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого игрока!';
include($path.'programfiles/downmain.php');
exit;
}
mysql_query("UPDATE `users` SET
        `kods` = '$_POST[kods]',
        `ip` = '$_POST[ip]',
        `pol` = '$_POST[pol]',
        `prava` = '$_POST[prava]',
        `klas` = '$_POST[klas]',
        `rassa` = '$_POST[rassa]',
        `Coin` = '$_POST[Coin]',
        `lvl` = '$_POST[lvl]',
        `money` = '$_POST[money]'
 WHERE `usr` = '".mysql_real_escape_string($_POST['komu'])."'");

echo"Персонаж: <b>$_POST[komu]</b> отредактирован!<br/>";

echo "<br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";




break;
case '16':
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0") 
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 10;
if($_GET[page] == "0")
{$i = 1;}
else{$i = ($_GET[page]*10)+1;}
$viso = mysql_num_rows(mysql_query("SELECT name FROM  world"));
$puslap = floor($viso/10);
$times = date("H:i");

$req = mysql_query("SELECT * FROM `world`ORDER BY id DESC LIMIT $num,10 ");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"$mag[name] (X-$mag[x] - Y-$mag[y]) [<a href=\"adminsik.php?mod=17&amp;id=$mag[id]\">Уд</a>]<br/>";
}
echo"<br>";
if ($_GET[page] > 0)
{
echo "<a href=\"adminsik.php?mod=16&page=$back\">назад</a>";
}
elseif ($_GET[page] == 0)
{
echo "назад";
}
echo"|";
if($_GET[page] < $puslap || $_GET[page] == "" || $_GET[page] == 0)
{echo "<a href=\"adminsik.php?mod=16&page=$next\">дальше</a>";}
else
{echo "дальше";}

}else{
echo"<b>Нет окрестностей</b>";

if ($_GET[page] > 0)
{
echo "<br><a href=\"adminsik.php?mod=16&page=$back\">назад</a>";
}
elseif ($_GET[page] == 0)
{
echo "назад";
}


echo "<br><br>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}




break;
case '13':
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0") 
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 10;
if($_GET[page] == "0")
{$i = 1;}
else{$i = ($_GET[page]*10)+1;}
$viso = mysql_num_rows(mysql_query("SELECT name FROM  mob"));
$puslap = floor($viso/10);
$times = date("H:i");

$req = mysql_query("SELECT * FROM `mob`ORDER BY id DESC LIMIT $num,10 ");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"$mag[name] (Х-$mag[x] - Y-$mag[y]) [<a href=\"adminsik.php?mod=14&id=$mag[id]\">Уд</a>]<br/>";
}
echo"<br>";
if ($_GET[page] > 0)
{
echo "<a href=\"adminsik.php?mod=13&page=$back\">назад</a>";
}
elseif ($_GET[page] == 0)
{
echo "назад";
}
echo"|";
if($_GET[page] < $puslap || $_GET[page] == "" || $_GET[page] == 0)
{echo "<a href=\"adminsik.php?mod=13&page=$next\">дальше</a>";}
else
{echo "дальше";}
}else{
echo"<b>Нет монстров</b><br/>";

if ($_GET[page] > 0)
{
echo "<a href=\"adminsik.php?mod=13&page=$back\">назад</a>";
}
elseif ($_GET[page] == 0)
{
echo "назад";
}

echo "<br><br>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}

break;
case '14':
if(empty($_GET[id])){
echo"Ошибка не выбран монстр!";
include($path.'programfiles/downmain.php');
exit;
}

$req = mysql_query("SELECT * FROM `mob` where `id`='".mysql_real_escape_string($_GET['id'])."'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";

include($path.'programfiles/downmain.php');
exit;
}
mysql_query("DELETE FROM `mob` WHERE `id`='".mysql_real_escape_string($_GET['id'])."'");
echo'Монстр удалён!<br/>';
echo "<br>» <a href=\"adminsik.php?\"> Вернуться</a><br>";



break;
case '9':
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0") 
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 10;
if($_GET[page] == "0")
{$i = 1;}
else{$i = ($_GET[page]*10)+1;}
$viso = mysql_num_rows(mysql_query("SELECT name FROM  shopelexirs"));
$puslap = floor($viso/10);
$times = date("H:i");

$req = mysql_query("SELECT * FROM `shopelexirs`ORDER BY id DESC LIMIT $num,10");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[name]</b> [<a href=\"adminsik.php?mod=10&amp;id=$mag[id]\">Уд</a>] [<a href=\"adminsik.php?mod=11&id=$mag[id]\">Изм</a>]<br/>";
}
echo"<br>";
if ($_GET[page] > 0)
{
echo "<a href=\"adminsik.php?mod=9&page=$back\">назад</a>";
}
elseif ($_GET[page] == 0)
{
echo "назад";
}
echo"|";
if($_GET[page] < $puslap || $_GET[page] == "" || $_GET[page] == 0)
{echo "<a href=\"adminsik.php?mod=9&page=$next\">дальше</a>";}
else
{echo "дальше";}


echo "<br><br>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}else{

echo"<b>Нет вещей</b><br/>";

if ($_GET[page] > 0)
{
echo "<a href=\"adminsik.php?mod=9&page=$back\">назад</a>";
}
elseif ($_GET[page] == 0)
{
echo "назад";
}

echo "<br><br>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}




break;
case '11':
if(empty($_GET[id])){
echo"Ошибка не выбрана вещь!";
include($path.'programfiles/downmain.php');
exit;
}

$req = mysql_query("SELECT * FROM `shopelexirs` WHERE `id`='".mysql_real_escape_string($_GET['id'])."' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Такой вещи не существует.";include($path.'programfiles/downmain.php');exit;}
$item = mysql_fetch_array($req);

if(empty($_POST[name])){

echo" <form action=\"adminsik.php?mod=11&id=".mysql_real_escape_string($_GET[id])."\" method=\"post\">";

echo"Название вещи:<br/>
<input class='input' type=\"text\" value=\"$item[name]\" size=\"10\" name=\"name\"/><br/>";


echo"Цена:<br/>
<input class='input' type=\"text\" value=\"$item[cena]\" size=\"10\" name=\"cena\"/><br/>";

echo"Тип вещи:<br/>
<select value=\"$item[what]\" name=\"what\">
<option value=\"hp\">HP</option>
<option value=\"mp\">MP</option>
</select><br/>";

echo"Сколько прибавляет:<br/>
<select name=\"give\">
<option value=\"100\">100</option>
<option value=\"500\">500</option>
</select><br/>";


echo '<input class="button" type="submit" value="Изменить" /></form>';
echo "<br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}else{

mysql_query("UPDATE `shop` SET
        `name` = '$_POST[name]',
        `cena` = '$_POST[cena]',
        `lat_name` = '$_POST[lat_name]',
        `tip` = 'elexir',
        `what` = '$_POST[what]',
        `give` = '$_POST[give]' WHERE id='".mysql_real_escape_string($_GET['id'])."' LIMIT 1");

echo'Вещь: <b>'.$_POST[name].'</b> отредактирована!<br/>';
echo "<br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}





break;
case '10':
if(empty($_GET[id])){
echo"Ошибка не выбрана вещь!";
echo "<br>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
include($path.'programfiles/downmain.php');
exit;
}

$req = mysql_query("SELECT * FROM `shopelexirs` where `id`='".mysql_real_escape_string($_GET['id'])."'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'programfiles/downmain.php');exit;}

mysql_query("DELETE FROM `shopelexirs` WHERE `id`='".mysql_real_escape_string($_GET['id'])."'");
echo'Вещь удалена!<br/>';
echo "<br>» <a href=\"adminsik.php?\"> Вернуться</a><br>";



break;
case '8':
if(empty($_GET[id])){
echo"Ошибка не выбрана вещь!";
include($path.'programfiles/downmain.php');
exit;
}

$req = mysql_query("SELECT * FROM `shop` WHERE `id`='".mysql_real_escape_string($_GET['id'])."' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Такой вещи не существует.";include($path.'programfiles/downmain.php');exit;}
$item = mysql_fetch_array($req);

if(empty($_POST[name])){

echo" <form action=\"adminsik.php?mod=8&id=".mysql_real_escape_string($_GET[id])."\" method=\"post\">";

echo"Название вещи:<br/>
<input class='input' type=\"text\" value=\"$item[name]\" size=\"10\" name=\"name\"/><br/>";

echo"Цена:<br/>
<input class='input' type=\"text\" value=\"$item[cena]\" size=\"10\" name=\"cena\"/><br/>";

echo"Тип вещи:<br/>
<select value=\"$item[tip]\" name=\"tip\">
<option value=\"weapon\">Оружие</option>
<option value=\"nogi\">Сапоги</option>
<option value=\"sheya\">Шея</option>
<option value=\"maska\">Маска</option>
<option value=\"serga\">Левое ухо</option>
<option value=\"serga2\">Правое ухо</option>
<option value=\"kolco\">Правая рука</option>
<option value=\"kolco2\">Левая рука</option>
<option value=\"ruki\">Перчатки</option>
<option value=\"body\">Доспехи</option>
<option value=\"golova\">Шлем</option>
<option value=\"shit\">Щит</option>
</select><br/>";

echo "Грейд:<br/>
<select value=\"$item[grade]\" name=\"grade\">
<option value=\"NG\">NG</option>
<option value=\"D\">D</option>
<option value=\"C\">C</option>
<option value=\"B\">B</option>
<option value=\"A\">A</option>
<option value=\"S\">S</option>
</select><br/>";

echo"Атака:<br/>
<input class='input' type=\"text\" value=\"$item[atak]\" size=\"10\" name=\"atak\"/><br/>";
echo"Защита:<br/>

<input class='input' type=\"text\" value=\"$item[zahit]\" size=\"10\" name=\"zahit\"/><br/>";

echo"Уровень:<br/>
<input class='input' type=\"text\" value=\"$item[nlvl]\" size=\"10\" name=\"nlvl\"/><br/>";

echo"Бонус:<br/>
<input class='input' type=\"text\" value=\"$item[bonus]\" size=\"10\" name=\"bonus\"/><br/>";


echo "Класс:<br/>
<select value=\"$item[klas]\" name=\"klas\">
<option value=\"not\">Все</option>
<option value=\"wizard\">Маг</option>
<option value=\"fighert\">Воин</option>
</select><br/>";

echo '<input class="button" type="submit" value="Изменить" /></form>';
echo "<br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}else{

mysql_query("UPDATE `shop` SET
        `name` = '$_POST[name]',
        `cena` = '$_POST[cena]',
        `atak` = '$_POST[atak]',
        `zahit` = '$_POST[zahit]',
        `grade` = '$_POST[grade]',
        `bonus` = '$_POST[bonus]',
        `tip` = '$_POST[tip]',
        `klas` = '$_POST[klas]',
        `nlvl` = '$_POST[nlvl]' WHERE id='".mysql_real_escape_string($_GET['id'])."' LIMIT 1");

echo'Вещь: <b>'.$_POST[name].'</b> отредактирована!<br/>';
echo "<br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}






break;
case '6':
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0") 
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 10;
if($_GET[page] == "0")
{$i = 1;}
else{$i = ($_GET[page]*10)+1;}
$viso = mysql_num_rows(mysql_query("SELECT name FROM  shop"));
$puslap = floor($viso/10);
$times = date("H:i");

$req = mysql_query("SELECT * FROM `shop`ORDER BY id DESC LIMIT $num,10");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<b>$mag[name]</b> [<a href=\"adminsik.php?mod=7&amp;id=$mag[id]\">Уд</a>] [<a href=\"adminsik.php?mod=8&id=$mag[id]\">Изм</a>]<br/>";
}
echo"<br>";
if ($_GET[page] > 0)
{
echo "<a href=\"adminsik.php?mod=6&page=$back\">назад</a>";
}
elseif ($_GET[page] == 0)
{
echo "назад";
}
echo"|";
if($_GET[page] < $puslap || $_GET[page] == "" || $_GET[page] == 0)
{echo "<a href=\"adminsik.php?mod=6&page=$next\">дальше</a>";}
else
{echo "дальше";}


echo "<br/><br/>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}else{

echo"<b>Нет вещей</b><br/>";

if ($_GET[page] > 0)
{
echo "<a href=\"adminsik.php?mod=6&page=$back\">назад</a>";
}
elseif ($_GET[page] == 0)
{
echo "назад";
}

echo "<br><br>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}

break;
case '7':
if(empty($_GET[id])){
echo"Ошибка не выбрана вещь!";
echo "<br>» <a href=\"adminsik.php?\"> Вернуться</a><br>";
include($path.'programfiles/downmain.php');
exit;
}

$req = mysql_query("SELECT * FROM `shop` where `id`='".mysql_real_escape_string($_GET['id'])."'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'programfiles/downmain.php');exit;}

mysql_query("DELETE FROM `shop` WHERE `id`='".mysql_real_escape_string($_GET['id'])."'");
echo'Вещь удалена!<br/>';
echo "<br>» <a href=\"adminsik.php?\"> Вернуться</a><br>";



break;
case '5':
if(empty($_POST[name])){
echo '<form action="adminsik.php?mod=5" method="post">';

echo "Укажите город:<br/>
<select name=\"city\">
<option value=\"Dark Elven Village\">Dark Elven Village</option>
<option value=\"Dwarven Village\">Dwarven Village</option>
<option value=\"Elven Village\">Elven Village</option>
<option value=\"Gludin Village\">Gludin Village</option>
<option value=\"Heine\">Heine</option>
<option value=\"Hunters Village\">Hunters Village</option>
<option value=\"Ivory Tower\">Ivory Tower</option>
<option value=\"Orc Village\">Orc Village</option>
<option value=\"Rune Township\">Rune Township</option>
<option value=\"Talking Island Village\">Talking Island Village</option>
<option value=\"Town of Aden\">Town of Aden</option>
<option value=\"Town of Dion\">Town of Dion</option>
<option value=\"Town of Giran\">Town of Giran</option>
<option value=\"Town of Gludio\">Town of Gludio</option>
<option value=\"Town of Goddard\">Town of Goddard</option>
<option value=\"Town of Oren\">Town of Oren</option>
<option value=\"Town of Schuttgart\">Town of Schuttgart</option>

</select><br/>";

echo"Название окрестности:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>";

echo"Координаты X:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"x\"/><br/>";

echo"Координаты Y:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"y\"/><br/>";


echo '<input class="button" type="submit" value="Создать" /></form>';
}else{
$req = mysql_query("SELECT * FROM `world` where `city`='".mysql_real_escape_string($_POST['city'])."' and  `name`='".mysql_real_escape_string($_POST['name'])."' ");
$avto=mysql_num_rows($req);
if($avto>=1){echo"Такая окрестность уже  есть!";include($path.'programfiles/downmain.php');exit;}


mysql_query("INSERT INTO
        `world` SET
        `city` = '$_POST[city]',
        `name` = '$_POST[name]',
        `x` = '$_POST[x]',
        `incity` = '1',
        `y` = '$_POST[y]'");

echo'Окрестность: <b>'.$_POST[name].'</b> создана!<br/><br/>';

echo "» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}



break;
case '4':

if(empty($_POST[name])){
echo '<form action="adminsik.php?mod=4" method="post">';

echo"Название элексира:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>";

echo"Перевод на (англ):<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lat_name\"/><br/>";

echo"Тип элексира:<br/>
<select name=\"what\">
<option value=\"mp\">MP</option>
<option value=\"hp\">HP</option>
</select><br/>";

echo"Сколько прибавляет:<br/>
<select name=\"give\">
<option value=\"100\">100</option>
<option value=\"500\">500</option>
</select><br/>";

echo"Стоимость ресурса:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"cena\"/><br/>";


echo '<input class="button" type="submit" value="Создать" /></form>';
}else{

mysql_query("INSERT INTO
        `shopelexirs` SET
        `what` = '$_POST[what]',
        `name` = '$_POST[name]',
        `lat_name` = '$_POST[lat_name]',
        `tip` = 'elexir',
        `give` = '$_POST[give]',
        `cena` = '$_POST[cena]'");

echo'Элексир: <b>'.$_POST[name].'</b> создан!<br/><br/>';
echo "» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}



break;
case '3':

if(empty($_POST[name])){
echo '<form action="adminsik.php?mod=3" method="post">';

echo"Название ресурса:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>";

echo"Перевод на (англ):<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lat_name\"/><br/>";

echo"Бонус ресурса (1,2 нужно для ресурсов олимпиад), если не нужно оставьте пустым.<br/>
<input class='input' type=\"text\" size=\"10\" name=\"bonus\"/><br/>";

echo"Стоимость ресурса:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"cena\"/><br/>";


echo '<input class="button" type="submit" value="Создать" /></form>';
}else{
$req = mysql_query("SELECT * FROM `mdrop` where `name`='".mysql_real_escape_string($_POST['name'])."' and  `name`='".mysql_real_escape_string($_POST['name'])."' ");
$avto=mysql_num_rows($req);
if($avto>=1){echo"Такой ресурс уже есть!";include($path.'programfiles/downmain.php');exit;}

mysql_query("INSERT INTO
        `mdrop` SET
        `name` = '$_POST[name]',
        `lat_name` = '$_POST[lat_name]',
        `tip` = 'res',
        `give` = '0',
        `what` = 'res',
        `cena` = '$_POST[cena]',
        `bonus` = '$_POST[bonus]'");

echo'Ресурс: <b>'.$_POST[name].'</b> добавлен!<br/><br/>';
echo "» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}




break;
case '2':
if(empty($_POST[name])){
echo '<form action="adminsik.php?mod=2" method="post">';

echo "Укажите город:<br/>
<select name=\"city\">
<option value=\"Dark Elven Village\">Dark Elven Village</option>
<option value=\"Dwarven Village\">Dwarven Village</option>
<option value=\"Elven Village\">Elven Village</option>
<option value=\"Gludin Village\">Gludin Village</option>
<option value=\"Heine\">Heine</option>
<option value=\"Hunters Village\">Hunters Village</option>
<option value=\"Ivory Tower\">Ivory Tower</option>
<option value=\"Orc Village\">Orc Village</option>
<option value=\"Rune Township\">Rune Township</option>
<option value=\"Talking Island Village\">Talking Island Village</option>
<option value=\"Town of Aden\">Town of Aden</option>
<option value=\"Town of Dion\">Town of Dion</option>
<option value=\"Town of Giran\">Town of Giran</option>
<option value=\"Town of Gludio\">Town of Gludio</option>
<option value=\"Town of Goddard\">Town of Goddard</option>
<option value=\"Town of Oren\">Town of Oren</option>
<option value=\"Town of Schuttgart\">Town of Schuttgart</option>

</select><br/>";

echo"Название монстра:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>";

echo"Уровень монстра:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lvl\"/><br/>";

echo"Физическая атака монстра:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"atak\"/><br/>";

echo"Магическая атака монстра:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"magatak\"/><br/>";

echo"Защита монстра:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"zahit\"/><br/>";

echo"HP - В данный момент:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hp\"/><br/>";
echo"HP - Общее:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hpall\"/><br/>";


echo"<br/>Есть шанс выпадения дропа (проискохит рандом) (1,до вашего числа) если Раддом = 1 то дроп выпадает!<br> Чем меньше число тем больше шанс выпадания дропа!<br/>
<input class='input' type=\"text\" size=\"10\" name=\"sd\"/><br/>";
echo"<br/>Шанс выпадения Дропа: <br/>
Писать номер дропа через кому.<br>Узнать дроп который хотите установить смотрите таблицу (drops) - (Пример 1,2,3,4).<br/>

<input class='input' type=\"text\" size=\"20\" name=\"drop\"/><br/><br/>";

echo"Шанс выпадения аден с монстра:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"sm\"/><br/>";

echo"Сколько аден?<br/>
<input class='input' type=\"text\" size=\"10\" name=\"aden\"/><br/>";

echo"Опыта:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"exp\"/><br/>";

echo"SP:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"sp\"/><br/>";

echo"Время респавна монстра:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"time\"/><br/>";

echo"Координата монстра X:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"x\"/><br/>";

echo"Координата монстра Y:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"y\"/><br/>";

echo '<input class="button" type="submit" value="Создать" /></form>';
}else{

mysql_query("INSERT INTO
        `mob` SET
        `city` = '$_POST[city]',
        `name` = '$_POST[name]',
        `lvl` = '$_POST[lvl]',
        `hp` = '$_POST[hp]',
        `hpall` = '$_POST[hpall]',
        `zahit` = '$_POST[zahit]',
        `atak` = '$_POST[atak]',
        `magatak` = '$_POST[magatak]',
        `sd` = '$_POST[sd]',
        `drop` = '$_POST[drop]',
        `sm` = '$_POST[sm]',
        `aden` = '$_POST[aden]',
        `sp` = '$_POST[sp]',
        `exp` = '$_POST[exp]',
        `shems` = '$_POST[shems]',
        `tip` = 'life',
        `status` = 'on',
        `oponent` = 'not',
        `time` = '$_POST[time]',
        `x` = '$_POST[x]',
        `y` = '$_POST[y]'");

echo'Монстр: <b>'.$_POST[name].'</b> создан!<br>Если хотите создать еще такого монстра просто обновите страницу.<br/><br/>';
echo "» <a href=\"adminsik.php?\"> Вернуться</a><br>";
}






}
}else{echo"Пароль или ник неверен. Возможно сессия устарела. Попробуйте авторизироваться заново.";}
include 'inclydings/down.php';
?>